Subject: [netlmm] Questions on Heartbeat Mechanism for Proxy Mobile IPv6

From: Shi Xiaoyan <[email-masked]>
Date: Wed, 30 Jul 2008 16:24:51 +0800

Hi Vijay,
 
I have several doubts about the heartbeat-03.
 
First, the heartbeat message interval is determined by MAG and LMA can't
negotiate the interval with MAG. It maybe cause to the LMA overload. OTOH,
the heartbeat interval field is invalid in the response message. In fact, it
can be utilized to indicate the interval that LMA prefer to. I think the
interval field in response message should be set to the value that LMA
determines with its load, rather than set to zero.
 
Second, how to deal with the following case?
 
MAG->LMA  heartbeat request (recieved)
(MAG reboot)
(some new PMIP session be established between MAG and LMA)
MAG->LMA  heartbeat request (recieved)
 
In this scenario, LMA may be not aware of MAG reboot. Is there need a 

Regards,
Xiaoyan
_______________________________________________
netlmm mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/netlmm

---

From: "Vijay Devarapalli" <[email-masked]>
Date: Wed, 30 Jul 2008 06:04:10 -0400

> First, the heartbeat message interval is determined by MAG 
> and LMA can't negotiate the interval with MAG. It maybe cause 
> to the LMA overload. OTOH, the heartbeat interval field is 
> invalid in the response message. In fact, it can be utilized 
> to indicate the interval that LMA prefer to. I think the 
> interval field in response message should be set to the value 
> that LMA determines with its load, rather than set to zero.

The document currently does talk about not over-loading the path between
the MAG and the LMA or the LMA with too many heartbeat messages. So it
recommends a rather large value for the Heartbeat Interval. Moreover,
the number of heartbeat messages that an LMA receives is the same as the
number of MAGs that are currently using the LMA. The number of heartbeat
messages does not depend on the number of mobile node's attached to the
LMA. So that number cannot be large. Therefore, I don't think we need a
interval negotiation mechanism.

> In this scenario, LMA may be not aware of MAG reboot. Is there need a 

If the MAG retains state about the PMIPv6 sessions, then the LMA does
not need to know about the reboot. If the MAG loses the state, it sends
a Heartbeat message with the restart counter value incremented by 1, to
indicate that it crashed and lost state. The LMA would just need to
compare the restart counter value it receives in the Heartbeat message
with the currently stored value to figure out that the MAG had rebooted
and lost state.

Vijay

---

From: Shi Xiaoyan <[email-masked]>
Date: Thu, 31 Jul 2008 10:04:20 +0800

Hi, Vijay

Please see inline.

> -----Original Message-----
> From: Vijay Devarapalli [mailto:[email-masked]] 
> Sent: Wednesday, July 30, 2008 6:04 PM
> To: Shi Xiaoyan
> Cc: [email-masked]
> Subject: RE: [netlmm] Questions on Heartbeat Mechanism for 
> Proxy Mobile IPv6
> 
> > First, the heartbeat message interval is determined by MAG and LMA 
> > can't negotiate the interval with MAG. It maybe cause to the LMA 
> > overload. OTOH, the heartbeat interval field is invalid in the 
> > response message. In fact, it can be utilized to indicate 
> the interval 
> > that LMA prefer to. I think the interval field in response message 
> > should be set to the value that LMA determines with its 
> load, rather 
> > than set to zero.
> 
> The document currently does talk about not over-loading the 
> path between the MAG and the LMA or the LMA with too many 
> heartbeat messages. So it recommends a rather large value for 
> the Heartbeat Interval. Moreover, the number of heartbeat 
> messages that an LMA receives is the same as the number of 
> MAGs that are currently using the LMA. The number of 
> heartbeat messages does not depend on the number of mobile 
> node's attached to the LMA. So that number cannot be large. 
> Therefore, I don't think we need a interval negotiation mechanism.

This is ok.

> If the MAG retains state about the PMIPv6 sessions, then the 
> LMA does not need to know about the reboot. If the MAG loses 
> the state, it sends a Heartbeat message with the restart 
> counter value incremented by 1, to indicate that it crashed 
> and lost state. The LMA would just need to compare the 
> restart counter value it receives in the Heartbeat message 
> with the currently stored value to figure out that the MAG 
> had rebooted and lost state.
> 

Restart counter is only valid in Response message(section 3.4). This means
LMA is aware of MAG' reboot only when LMA initiate the heartbeat prosedure.
But in this scenario, LMA only receive the request (not response) message
from MAG, how does LMA know MAG' reboot? 
I think Restart Counter should also be valid in Request message. Then, MAG
can inform its reboot to LMA by request message.

Section 3.4
   The following shows the message format for a new mobility option for
   carrying the Restart Counter Value in the Heartbeat message.  The
   Restart Counter Mobility Option is only valid in a Heartbeat Response
   message.

---

From: "Vijay Devarapalli" <[email-masked]>
Date: Thu, 31 Jul 2008 05:38:09 -0400

>    Restart Counter Mobility Option is only valid in a

Ok, got it. Yes that's one way to fix it. Rajeev had proposed another
approach in his draft to send an unsolicited Heartbeat Response message
(or Node Echo Reply as it is called in that draft), when the PMIPv6 node
reboots and looses state. See
draft-koodli-netlmm-path-and-session-management.

Vijay

---

From: Shi Xiaoyan <[email-masked]>
Date: Fri, 01 Aug 2008 11:19:09 +0800

Hi, Vijay

 Thanks for your explanation. I'll read
tdraft-koodli-netlmm-path-and-session-management. :-)

Regards,
Xiaoyan

> Sent: Thursday, July 31, 2008 5:38 PM
> To: Shi Xiaoyan
> Cc: [email-masked]; tanshiyong
> >>> In this scenario, LMA may be not aware of MAG reboot. Is 
> there need 
> >>> a
> >> 
> >> not need to know about the reboot. If the MAG loses the state, it 
> >> sends a Heartbeat message with the restart counter value 
> incremented 
> >> by 1, to indicate that it crashed and lost state. The LMA 
> would just 
> >> need to compare the restart counter value it receives in the 
> >> Heartbeat message with the currently stored value to 
> figure out that 
> >> the MAG had rebooted and lost state.
> >> 
> > 
> > Restart counter is only valid in Response message(section 
> 3.4). This 
> > means LMA is aware of MAG' reboot only when LMA initiate 
> the heartbeat 
> > prosedure.
> > I think Restart Counter should also be valid in Request 
> message. Then, 
> > MAG can inform its reboot to LMA by request message.
> > 
> > Section 3.4
> Ok, got it. Yes that's one way to fix it. Rajeev had proposed 
> another approach in his draft to send an unsolicited 
> Heartbeat Response message (or Node Echo Reply as it is 
> called in that draft), when the PMIPv6 node reboots and 
> looses state. See draft-koodli-netlmm-path-and-session-management.
> 
> Vijay
>